Cache timestamps not updated on talk deletion
Closed, ResolvedPublic

Description

Author: timwi

Description:
BUG MIGRATED FROM SOURCEFORGE
http://sourceforge.net/tracker/index.php?func=detail&aid=794040&group_id=34373&atid=411192
Originally submitted by Brion Vibber (vibber)<a href="/help/icon_legend.php?context=user_wantsdonations&amp;user_id=446709&amp;return_to=%2F"><IMG src="http://images.sourceforge.net/images/icons/donate.png" alt="Accepting Donations" border="0" width="16" height="16"></a> 2003-08-24 11:56

Cache timestamps are not updated in a number of
circumstances, which can lead to stale HTML in the page
cache:

  • Automated updates to log pages
  • Additional uploads and deletions affecting an image

description page

  • Creation/deletion of talk/article pages don't update

the other one, as the implicit link is not in the link
tables

For logged-in users these can be remedied by forcing a
reload, but for anons the page won't update until it's
explicitly edited. For log pages this may be a
particular problem, as they're protected and rarely
edited manually, and the source can't be seen.

  • Additional comments ------------------------

Date: 2003-09-04 07:10
Sender: SF user vibber

Logs and images fixed.

Talk pages not yet.

Date: 2003-11-15 02:58
Sender: SF user vibber

Talk fixed for creation, though not yet for deletion.


Version: unspecified
Severity: normal

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz344.
bzimport created this task.Via LegacySep 3 2004, 3:25 AM
brion added a comment.Via ConduitMar 25 2008, 12:14 AM

Done in r32390

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.